Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## name.milesparker.epi.contact
Class Individual

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          name.milesparker.epi.contact.Individual

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Location, Node, HasName, RandomFunctions

    public class Individual

extends CellOccupant

Individual Java Implementation. Generated by AMF for model: EpidemicContact.metaabm in project: org.eclipse.amp.amf.examples.escape

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`Individual()` Constructs a new Individual.

Method Summary
`void` | `calculateTimeStep(int timeStep)`
`java.lang.Object` | `clone()` Clones the agent, ensuring that a unique id is assigned.
`void` | `exposure()` Watch for changes in Status.
`int` | `getAsymptomaticEndPeriod()` Gets the Asymptomatic End Period property for Individual.
`java.util.List<IAgentChild>` | `getChildren()`
`double` | `getContactTransmissionProbability()` Gets the Contact Transmission Probability property for Individual.
`Epidemic` | `getEpidemic()`
`int` | `getExposureEndPeriod()` Gets the Exposure End Period property for Individual.
`java.lang.String` | `getName()`
`java.util.List` | `getNetwork()`
`int` | `getOutcomePeriod()` Gets the Outcome Period property for Individual.
`StatusEnum` | `getStatus()` Gets the Status property for Individual.
`long` | `getUID()`
`void` | `initializeLocation()` Initialize Location Initialization.
`void` | `initializeState()` Initialize State Initialization.
`void` | `movement()` Movement Rule.
`void` | `progression()` Progression Rule.
`void` | `setAsymptomaticEndPeriod(int _asymptomaticEndPeriod)` Sets the Asymptomatic End Period property for Individual.
`void` | `setContactTransmissionProbability(double _contactTransmissionProbability)` Sets the Contact Transmission Probability property for Individual.
`void` | `setExposureEndPeriod(int _exposureEndPeriod)` Sets the Exposure End Period property for Individual.
`void` | `setOutcomePeriod(int _outcomePeriod)` Sets the Outcome Period property for Individual.
`void` | `setStatus(StatusEnum _status)` Sets the Status property for Individual.
`void` | `startSimulationAgentChild(int timeStep)`
`void` | `transmission()` Transmission Rule.

Methods inherited from class org.ascape.model.CellOccupant
`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getOccupant, hostedCondition, initialize, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant, toString`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getColor, getImage, getImage, getIteration, getPlatformColor, getRoot, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### Individual

    public Individual()

  Constructs a new Individual.

Method Detail

### getChildren

    public java.util.List<IAgentChild> getChildren()

### getUID

    public long getUID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `CellOccupant`
  Returns:
    the object

### getEpidemic

    public Epidemic getEpidemic()

### getNetwork

    public java.util.List getNetwork()

  Overrides:
    `getNetwork` in class `Cell`

### startSimulationAgentChild

    public void startSimulationAgentChild(int timeStep)

### calculateTimeStep

    public void calculateTimeStep(int timeStep)

### initializeLocation

    public void initializeLocation()

  Initialize Location Initialization. Executed once at the beginning of each model run.

### movement

    public void movement()

  Movement Rule. Executed every period.

  Overrides:
    `movement` in class `Agent`
  See Also:
    `Agent.movementCondition()`, `Agent.MOVEMENT_RULE`

### initializeState

    public void initializeState()

  Initialize State Initialization. Executed once at the beginning of each model run.

### transmission

    public void transmission()

  Transmission Rule. Executed every period.

### progression

    public void progression()

  Progression Rule. Executed every period.

### exposure

    public void exposure()

  Watch for changes in Status.

### getStatus

    public StatusEnum getStatus()

  Gets the Status property for Individual.

  Returns:

### setStatus

    public void setStatus(StatusEnum _status)

  Sets the Status property for Individual.

  Parameters:
    `_status` - the new Status value

### getExposureEndPeriod

    public int getExposureEndPeriod()

  Gets the Exposure End Period property for Individual.

  Returns:

### setExposureEndPeriod

    public void setExposureEndPeriod(int _exposureEndPeriod)

  Sets the Exposure End Period property for Individual.

  Parameters:
    `_exposureEndPeriod` - the new Exposure End Period value

### getAsymptomaticEndPeriod

    public int getAsymptomaticEndPeriod()

  Gets the Asymptomatic End Period property for Individual.

  Returns:

### setAsymptomaticEndPeriod

    public void setAsymptomaticEndPeriod(int _asymptomaticEndPeriod)

  Sets the Asymptomatic End Period property for Individual.

  Parameters:
    `_asymptomaticEndPeriod` - the new Asymptomatic End Period value

### getOutcomePeriod

    public int getOutcomePeriod()

  Gets the Outcome Period property for Individual.

  Returns:

### setOutcomePeriod

    public void setOutcomePeriod(int _outcomePeriod)

  Sets the Outcome Period property for Individual.

  Parameters:
    `_outcomePeriod` - the new Outcome Period value

### getContactTransmissionProbability

    public double getContactTransmissionProbability()

  Gets the Contact Transmission Probability property for Individual.

  Returns:

### setContactTransmissionProbability

    public void setContactTransmissionProbability(double _contactTransmissionProbability)

  Sets the Contact Transmission Probability property for Individual.

  Parameters:
    `_contactTransmissionProbability` - the new Contact Transmission Probability value

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `AscapeObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD